autofs-5.0.8 - fix lookup_nss_mount() map lookup

From: Ian Kent <raven@themaw.net>

A mount that may have multiple maps (direct mounts) should try each
source and if nsswicth is used then each instance should be tried
before moving to the next map.

Moving to the next map if an nss instance is not found makes no sense.
---
 CHANGELOG       |    1 +
 daemon/lookup.c |    4 +---
 2 files changed, 2 insertions(+), 3 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index da1a70d..eb018d0 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -32,6 +32,7 @@
 - fix external env configure.
 - make autofs(5) consistent with auto.master(5).
 - fix map source with type lookup.
+- fix lookup_nss_mount() map lookup.
 
 17/10/2013 autofs-5.0.8
 =======================
diff --git a/daemon/lookup.c b/daemon/lookup.c
index cc744ee..7d96155 100644
--- a/daemon/lookup.c
+++ b/daemon/lookup.c
@@ -1031,10 +1031,8 @@ int lookup_nss_mount(struct autofs_point *ap, struct map_source *source, const c
 
 			result = lookup_map_name(this, ap, map, name, name_len);
 
-			if (result == NSS_STATUS_UNKNOWN) {
-				map = map->next;
+			if (result == NSS_STATUS_UNKNOWN)
 				continue;
-			}
 
 			status = check_nss_result(this, result);
 			if (status >= 0) {
